split into language packs

Bug #1482937 reported by Tim Lunn on 2015-08-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu GNOME
Undecided
Unassigned
gnome-getting-started-docs (Ubuntu)
Medium
Unassigned
language-selector (Ubuntu)
Medium
Unassigned

Bug Description

We want to add the gnome getting started user guide to the Ubuntu GNOME seed, however since this package includes localized video/animations, the current packaging ends up at 120MB which is really too big to include in the ISO.

So will split this up into language packs and only seed the english version, and let language-selector handle installation of the localized versions.

Tim Lunn (darkxst) on 2015-08-09
Changed in ubuntu-gnome:
milestone: none → wily-ppa
Tim Lunn (darkxst) wrote :
Tim Lunn (darkxst) wrote :

Debian is unlikely to take this split, since they currently have no centralised way to install language packs

Gunnar Hjalmarsson (gunnarhj) wrote :

Hi Tim!

If I understand it correctly, this would mean that localized versions of gnome-getting-started-docs end up in language-pack-gnome-XX-base, which are already pulled by language-selector-common. Hence dropping the language-selector bug task.

Please let me know if I missed anything.

no longer affects: language-selector (Ubuntu)
Gunnar Hjalmarsson (gunnarhj) wrote :

On 2015-08-09 05:48, Tim wrote:
> Hi Gunnar
> but does that apply to packages in universe? I am not particularly
> familiar with how the combined language packs are generated.
>
> Also this documentation is gnome-shell specific, so probably not
> wanted in language-pack-gnome-XX-base, especially for the languages
> with localised videos, that are 12MB per locale?

Right, I missed it's universe...

But in that case I suppose that you need to make the source package build language specific deb-files, such as

gnome-getting-started-docs-en
gnome-getting-started-docs-fr
gnome-getting-started-docs-de

Still guessing, though.

Gunnar Hjalmarsson (gunnarhj) wrote :

Which is exactly what you proposed, it seems. Please disregard my noise. :(

Iain Lane (laney) wrote :

There's an X- something header that I think you can use to grab translations into the langpacks for Universe packages. Talk to dpm/pitti about it. You could probably also make them split out another package for the video if that's too big to give to everyone.

Just a suggestion which might be easier to maintain.

Tim Lunn (darkxst) wrote :

Laney,
   all (or atleast most) of the locales have localised image/svg files of about ~2MB each, and while the majority use the english videos, there are 5-6 that have localised videos. Now I am not even sure if the images/videos get pulled into the launchpad translation packs, but I suspect they don't? which means we will still a package for each locale.

Hopefully this is all temporary anyway, I had a chat with ximion and he is certainly atleast thinking about fixing langpacks in debian, hopefully via metadata in appstream.

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2015-08-09 12:26, Tim wrote:
> Now I am not even sure if the images/videos get pulled into the
> launchpad translation packs, but I suspect they don't?

In ubuntu-docs and gnome-user-docs they are pulled into language-pack-gnome-XX-base (and replaced with symlinks in the .deb file). Considering that gnome-getting-started-docs uses the same markup tool (Mallard) as the other two, and given what Laney said, it shouldn't be hard to make it work the same way.

Please note that there is a drawback with the proposed solution: If someone installs Ubuntu GNOME in some other language but English, the installer won't install the localized gnome-getting-started-docs package as long as it's not in main. pkg_depends basically presupposes that the packages are in main.

I don't know if it would be possible (for policy reasons) to move g-g-s-d from universe to main for this reason.

Tim Lunn (darkxst) wrote :

Gunnar,

Ok, but is adding 2MB of gnome-shell specific SVG's to the shared language packs, going to be acceptable, since if not there seems little point in pulling in just the markup (so far as making maintenance easier)

So far as installation goes, I didnt see anything in language-selector that would exclude universe packages, although admittedly I didnt really look at the ubiquity side of things. If it is really required to be in main for the installation to work, I don't imagine it would be too much of an issue getting it moved into main.

Martin Pitt (pitti) wrote :

For split out gnome-getting-started-docs-*, these need to be added to data/pkg_depends in language-selector. Indeed that doesn't care about the component, universe packages are fine. Please set a "trigger" package for installing them, so that these are only installed if you actually have Ubuntu GNOME installed. E. g.

  tr::gnome-session:gnome-getting-started-docs-

Presumably gnome-session is not the best trigger package, maybe there's something like gnome-help?

Changed in language-selector (Ubuntu):
status: New → Triaged
Tim Lunn (darkxst) wrote :

I already did that in the linked l-s branch[1]. gnome-getting-started-docs package which contains the C locale will be seeded and always installed, mainly because many of the locales fallback to this content where the translations are incomplete (there are only 5-6 that are 100% complete)

http://bazaar.launchpad.net/~darkxst/language-selector/gnome-docs/revision/324

Sebastien Bacher (seb128) wrote :

what's the status? is the original split still wanted or is another approach based on langpack preferred now?

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2015-08-10 04:53, Tim wrote:
> Gunnar,
>
> Ok, but is adding 2MB of gnome-shell specific SVG's to the shared
> language packs, going to be acceptable,

Can't tell.

> So far as installation goes, I didnt see anything in language-selector
> that would exclude universe packages, although admittedly I didnt really
> look at the ubiquity side of things.

Agreed. My "pkg_depends basically presupposes that the packages are in main" statement refers to the ubiquity side of things only.

Actually I base it on one of Martin's bug comments:
https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1294858/comments/1

So Martin's comment on this bug report confused me. Either he wasn't talking about ubiquity either, or I got it all wrong.

@Martin: Any chance you can help to straighten it out?

Especially since language-selector-gnome isn't shipped with Ubuntu GNOME, I suppose it's important that the applicable localized help package is installed instantly in case of a non-English install.

Tim Lunn (darkxst) wrote :

Will go with the originally proposed split, using the ubuntu langpacks is going to help much if we still need individual packages for the images/videos. I will upload this, so only need sponsorship on the language-selector patch.

Gunnar, I read Martin's comment as only affecting Ubuntu Installations, universe will be in the apt sources for Ubuntu GNOME installs.

Should likely be bringing language pack (installation only )support into g-c-c via packagekit this cycle

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2015-08-13 00:41, Tim wrote:
> Gunnar, I read Martin's comment as only affecting Ubuntu
> Installations, universe will be in the apt sources for Ubuntu GNOME
> installs.

Aha, that makes things fit in my head too. Thanks!

To compensate for all the noise I've made on this bug report, I just sponsored the l-s part. ;)

Changed in language-selector (Ubuntu):
importance: Undecided → Medium
status: Triaged → Fix Committed
Changed in gnome-getting-started-docs (Ubuntu):
assignee: nobody → Tim (darkxst)
importance: Undecided → Medium
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package language-selector - 0.147

---------------
language-selector (0.147) wily; urgency=medium

   * data/pkg_depends:
     - Add support for translated gnome getting started user guide
       (LP: #1482937)

 -- Tim Lunn <email address hidden> Thu, 13 Aug 2015 01:46:00 +0200

Changed in language-selector (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-getting-started-docs - 3.16.2-1ubuntu1

---------------
gnome-getting-started-docs (3.16.2-1ubuntu1) wily; urgency=medium

  * Split out packaging into language packs so Ubuntu GNOME can seed
    only the english version on the ISO's, and localised pack will
    be installed via language-selector (LP: #1482937)

 -- Tim Lunn <email address hidden> Sat, 08 Aug 2015 17:26:45 +1000

Changed in gnome-getting-started-docs (Ubuntu):
status: In Progress → Fix Released
Tim Lunn (darkxst) on 2015-08-13
Changed in gnome-getting-started-docs (Ubuntu):
assignee: Tim (darkxst) → nobody
Changed in ubuntu-gnome:
status: New → Fix Released
milestone: wily-ppa → wily
Martin Pitt (pitti) wrote :

> Actually I base it on one of Martin's bug comments:
> https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/1294858/comments/1
> So Martin's comment on this bug report confused me. Either he wasn't talking about ubiquity either, or I got it all wrong.

This is mostly correct. ubiquity can *only* install packages that apt knows about, and at least Ubuntu live images only have apt indexes for main. It might be (and would probably be advisable) to ship live systems for derivatives which are built out of universe with apt indexes for universe. I. e. boot a live system and check "apt-cache show gnome-getting-started-docs-de". If you see it, then it's alright; on Ubuntu's live system you won't because it's in universe.

It should be alright as in this case after installation you should get an "incomplete language support, do you want to install it now" question from update-notifier.

Tim Lunn (darkxst) wrote :

Martin, of course universe is there in the apt indexes, it has always been there so far as I remember. In fact I suspect we would see bigger issues than this if it wasnt, "download updates" would almost certainly fail (or be horribly incomplete) with main only for one!

Gunnar Hjalmarsson (gunnarhj) wrote :

@Tim: If I was you, I'd play around with the latest daily build and check it out.

Tim [2015-08-15 10:28 -0000]:
> Martin, of course universe is there in the apt indexes, it has always
> been there so far as I remember.

If that's true for Ubuntu GNOME, then all is good. I was just bringing
it up as it's *not* true for Ubuntu proper -- while
/etc/apt/sources.list does have universe of course (as we enable that
by default), the local cache in /var/lib/apt/lists/ doesn't, thus
without running "apt-get update" (which ubiquity doesn't do by
default) you can't install universe bits.

Tim Lunn (darkxst) wrote :

I double checked this and universe is in the apt index. Additionally I did a french install and the lang pack installed successfully during install.

Gunnar Hjalmarsson (gunnarhj) wrote :

Great to hear. :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers